libchamplain-0.12.16

Introduction to libchamplain

The libchamplain is a Clutter based widget used to display rich, eye-candy and interactive maps.

This package is known to build and work properly using an LFS-8.3 platform.

Package Information

libchamplain Dependencies

Required

Clutter-1.26.2, clutter-gtk-1.8.4, GTK+-3.24.1, and libsoup-2.64.2

Recommended

Optional

GTK-Doc-1.29

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/libchamplain

Installation of libchamplain

Install libchamplain by running the following commands:

./configure --prefix=/usr    \
            --enable-vala    \
            --disable-static &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

--enable-vala: This switch enables building of the Vala bindings. Remove if you don't have Vala-0.42.3 installed.

--disable-static: This switch prevents installation of static versions of the libraries.

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

Contents

Installed Programs: None
Installed Libraries: libchamplain-0.12.so and libchamplain-gtk-0.12.so
Installed Directories: /usr/include/{libchamplain-0.12,libchamplain-gtk-0.12} and /usr/share/gtk-doc/html/{libchamplain-0.12,libchamplain-gtk-0.12}

Short Descriptions

libchamplain-0.12.so

contains the libchamplain API functions.

libchamplain-gtk-0.12.so

contains the libchamplain GTK+ bindings.

Last updated on 2018-08-30 14:27:14 -0500